# Uses of Enum
org.eclipse.mat.snapshot.extension.JdkVersion

Packages that use JdkVersion
Package
Description
org.eclipse.mat.internal.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.

## Uses of JdkVersion in org.eclipse.mat.internal.collectionextract

Methods in org.eclipse.mat.internal.collectionextract that return JdkVersion
Modifier and Type
Method
Description
`static JdkVersion`
ExtractionUtils.`resolveVersion(ISnapshot snapshot)`

## Uses of JdkVersion in org.eclipse.mat.snapshot.extension

Fields in org.eclipse.mat.snapshot.extension with type parameters of type JdkVersion
Modifier and Type
Field
Description
`static EnumSet<JdkVersion>`
JdkVersion.`ALL`
`final EnumSet<JdkVersion>`
CollectionExtractionInfo.`version`
Methods in org.eclipse.mat.snapshot.extension that return JdkVersion
Modifier and Type
Method
Description
`static JdkVersion`
JdkVersion.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JdkVersion[]`
JdkVersion.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.snapshot.extension that return types with arguments of type JdkVersion
Modifier and Type
Method
Description
`static EnumSet<JdkVersion>`
JdkVersion.`except(JdkVersion first, JdkVersion... rest)`
`static EnumSet<JdkVersion>`
JdkVersion.`of(JdkVersion first, JdkVersion... rest)`
Methods in org.eclipse.mat.snapshot.extension with parameters of type JdkVersion
Modifier and Type
Method
Description
`static EnumSet<JdkVersion>`
JdkVersion.`except(JdkVersion first, JdkVersion... rest)`
`static EnumSet<JdkVersion>`
JdkVersion.`of(JdkVersion first, JdkVersion... rest)`
Constructors in org.eclipse.mat.snapshot.extension with parameters of type JdkVersion
Modifier
Constructor
Description
``
`CollectionExtractionInfo(String className, JdkVersion version, ICollectionExtractor extractor)`
Constructor parameters in org.eclipse.mat.snapshot.extension with type arguments of type JdkVersion
Modifier
Constructor
Description
``
`CollectionExtractionInfo(String className, EnumSet<JdkVersion> version, ICollectionExtractor extractor)`